fnts2fon(1)

NAME
fnts2fon - Construct a Windows .FON file from one or more .FNT files

SYNOPSIS
fnts2fon [--fontid=IDSTRING] [--winver=MAJOR.MINOR] [other options...] INPUTFILE [INPUTFILE ...] OUTPUTFILE

DESCRIPTION

fnts2fon attempts to combine one or more Windows FNT files into a FON file. This procedure is shrouded in darkness and mystery, dimly illuminated by the Microsoft Knowledge Base article <http://support.microsoft.com/support/kb/articles/Q76/5/35.ASP> and the NE file format.

If you are running fnts2fon in the Cygwin environment, you will need to grant execute permission to the resulting .FON file using chmod(1) before Windows can use it.

OPTIONS

Note that apart from --fontid and possibly --winver, the other options should not be necessary unless you are trying to produce output byte-by-byte identical to an existing Windows font.

--fontid="string"
    Sets the font resolution / description string. This is normally formed "FONTRES nn,nn,nn : Description". It must begin FONTRES for Windows 3.x and 9x to recognise the font. By default the string used is "FONTRES 200,96,48 : <fontname> ".

Under MS-DOS, use underlines to represent spaces - for example,
    --fontid=FONTRES_83,60,72_:_Times_Roman

--winver=MAJOR.MINOR
    Sets the Windows version required in the output file. The MAJOR and MINOR are treated as separate numbers, so --winver=3.1 and --winver=3.01 are the same, but --winver=3.1 and --winver=3.10 are different. Windows 2.x and 3.0 still load fonts marked as for version 3.1 so this option may not have much practical use.

--checksum16=nnn and --checksum32=nnn
    Set the 16-bit checksum in the DOS header, and the 32-bit checksum in the Windows header. Windows does not appear to check these.

--dosmsg
    Sets the message to display if the font is renamed to .EXE and run from DOS.

--idbase=nnn
    Sets the resource ID to allocate to the first font.

--idstep=nnn
    Sets the increment to add to the resource ID.

--linkver=MAJOR.MINOR
    Set the version of the linker that supposedly created this file. The same caveats apply as for --winver.

--modname=NAME
    Set the name of the program that was supposedly assembled to make this file.

--mzextra=NNN
    Sets the value in word 2 of the 'MZ' file header.

--stub=nnn
    Set the DOS stub to use. They all do exactly the same thing, but in slightly different ways.

--sysfont=nnn
    Mark font nnn as a system font.

BUGS

Does not appear to work with vector .FNT files, only raster ones.

SEE ALSO
cpi2psf(1), cpicomp(1), cpidcomp(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.